View Issue Details

IDProjectCategoryView StatusLast Update
0015821ScribusTranslationpublic2019-12-08 21:24
ReporterMornie Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015821: Add Russian translation for Scribus Manual
DescriptionGreetings,

I would like to share my results of translating Scribus Manual into Russian. The work is completed by approximately 50%, the rest my supervisor told me to leave as is, so this is yet to be finished in the future.

I used 1.5.5.svn for reference, doing the translation via Smartcat.ai service. Attached archive contains html files which must be russian analogues to the html files located at "/scribus/doc/en". The names are the same but with "(ru)" added automatically by Smartcat.
Tagstranslation
PatchNo

Activities

Mornie

2019-09-16 08:15

reporter  

Scribus_2019-09-16_07-32-38.Target.zip (360,356 bytes)

jghali

2019-09-19 01:50

administrator   ~0046673

Last edited: 2019-09-19 02:12

View 2 revisions

Thanks. Could you also translate the strings located in the menu.xml file so that menus can be shown in russian in the help navigator?

Mornie

2019-09-19 09:36

reporter   ~0046674

Done. :)

I also double-checked all the html-files and noticed that renderframes(ru).html shows complete nonsense (see the attached screenshot). Could you please take a look at that?

menu.xml (11,646 bytes)
renderframes(ru).png (111,073 bytes)
renderframes(ru).png (111,073 bytes)

jghali

2019-09-19 14:39

administrator   ~0046675

Last edited: 2019-09-19 14:40

View 2 revisions

Thanks!

The renderframes(ru).html file contains some bad html and does not specify the file encoding. So I did a few modifications. Do these changes fix the rendering issue you see?



renderframes(ru).zip (8,246 bytes)

Mornie

2019-09-20 07:15

reporter   ~0046679

Yes, it's fine now. Thank you!

jghali

2019-09-28 04:03

administrator   ~0046706

After some improvements to our help browser, so as to avoid having to duplicate images from the English documentation, the new Russian translation has been committed to our repository. Thanks for your work!

I have two questions/requests now:
1) I'd like to add your name to the AUTHORS file. May I use the same email address as you used for subscribing to the bug tracker? You may also choose to not have your email specified.
2) It would be great if you could also translate the index.html file.

Mornie

2019-10-01 07:54

reporter   ~0046722

Sure, this is my main working email address so I don't have any reasons to hide it from possible future colleagues. :)

The translated index.html file is attached.

index(ru).zip (1,699 bytes)

Issue History

Date Modified Username Field Change
2019-09-16 08:15 Mornie New Issue
2019-09-16 08:15 Mornie File Added: Scribus_2019-09-16_07-32-38.Target.zip
2019-09-16 08:15 Mornie Tag Attached: translation
2019-09-19 01:50 jghali Note Added: 0046673
2019-09-19 02:12 jghali Note Edited: 0046673 View Revisions
2019-09-19 09:36 Mornie File Added: menu.xml
2019-09-19 09:36 Mornie File Added: renderframes(ru).png
2019-09-19 09:36 Mornie Note Added: 0046674
2019-09-19 14:39 jghali File Added: renderframes(ru).zip
2019-09-19 14:39 jghali Note Added: 0046675
2019-09-19 14:40 jghali Note Edited: 0046675 View Revisions
2019-09-20 07:15 Mornie Note Added: 0046679
2019-09-28 03:54 jghali Summary Adding Russian translation for Scribus Manual => Add Russian translation for Scribus Manual
2019-09-28 03:57 jghali Product Version 1.5.5.svn => 1.5.6.svn
2019-09-28 04:03 jghali Assigned To => jghali
2019-09-28 04:03 jghali Status new => resolved
2019-09-28 04:03 jghali Resolution open => fixed
2019-09-28 04:03 jghali Fixed in Version => 1.5.6.svn
2019-09-28 04:03 jghali Note Added: 0046706
2019-10-01 07:54 Mornie File Added: index(ru).zip
2019-10-01 07:54 Mornie Note Added: 0046722
2019-12-08 21:24 cbradney Status resolved => closed